Class ExchangeServicesImpl
- All Implemented Interfaces:
ExchangeServices
ExchangeServices over the shared FabricBeta apiParams area.
Beta: Fabric v4 4.34.0 (spec read 2026-11-11).
Generated from the Fabric v4 OpenAPI spec by the fabric-beta generator; regenerate rather than hand-edit.
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreate(ExchangeServiceCreateRequest request) Create Internet Exchange Service:POST /fabric/v4/exchangeServices(operationcreateExchangeService).Get Internet Exchange Service:GET /fabric/v4/exchangeServices/{exchangeServiceId}(operationgetExchangeServiceById).performAction(String exchangeServiceId, ExchangeServiceActionRequest request) Create Internet Exchange Service Action:POST /fabric/v4/exchangeServices/{exchangeServiceId}/actions(operationcreateExchangeServiceAction).search()Search Internet Exchange Services:POST /fabric/v4/exchangeServices/search(operationsearchExchangeService).search(FilterPropertyList filter) Search Internet Exchange Services:POST /fabric/v4/exchangeServices/search(operationsearchExchangeService).search(FilterPropertyList filter, SortPropertyList sort) Search Internet Exchange Services:POST /fabric/v4/exchangeServices/search(operationsearchExchangeService).update(String exchangeServiceId, List<PatchOperation> operations) Update Internet Exchange Service:PATCH /fabric/v4/exchangeServices/{exchangeServiceId}(operationupdateExchangeServiceById).
-
Constructor Details
-
ExchangeServicesImpl
Creates the client.- Parameters:
clients- the shared internal client factory
-
-
Method Details
-
create
Description copied from interface:ExchangeServicesCreate Internet Exchange Service:POST /fabric/v4/exchangeServices(operationcreateExchangeService).This API provides capability to create Internet Exchange Service
- Specified by:
createin interfaceExchangeServices- Parameters:
request- theExchangeServiceCreateRequestrequest body- Returns:
- the
ExchangeServiceResponsethe API returns
-
getByUuid
Description copied from interface:ExchangeServicesGet Internet Exchange Service:GET /fabric/v4/exchangeServices/{exchangeServiceId}(operationgetExchangeServiceById).The API provides capability to get Internet Exchange Service
- Specified by:
getByUuidin interfaceExchangeServices- Parameters:
exchangeServiceId- theexchangeServiceIdpath parameter- Returns:
- the
ExchangeServiceResponsethe API returns
-
update
Description copied from interface:ExchangeServicesUpdate Internet Exchange Service:PATCH /fabric/v4/exchangeServices/{exchangeServiceId}(operationupdateExchangeServiceById).The API provides capability to update Internet Exchange Service
Sent as
application/json-patch+json, per the spec. Patchable paths named by the spec:/description,/name.- Specified by:
updatein interfaceExchangeServices- Parameters:
exchangeServiceId- theexchangeServiceIdpath parameteroperations- the patch operations (op/path/value)- Returns:
- the
ExchangeServiceResponsethe API returns
-
search
public PaginatedFilteredList<ExchangeServiceResponse> search(FilterPropertyList filter, SortPropertyList sort) Description copied from interface:ExchangeServicesSearch Internet Exchange Services:POST /fabric/v4/exchangeServices/search(operationsearchExchangeService).The API provides capability to get list of user's Internet Exchange Service using search criteria, including optional filtering, pagination and sorting
Filter properties named by the spec:
/bandwidth,/changelog/createdDateTime,/changelog/deletedDateTime,/changelog/updatedDateTime,/location/metroCode,/name,/project/projectId,/state,/uuid.Sort properties named by the spec:
/changeLog/createdDateTime,/changeLog/updatedDateTime,/name.- Specified by:
searchin interfaceExchangeServices- Parameters:
filter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
ExchangeServiceResponse
-
search
Description copied from interface:ExchangeServicesSearch Internet Exchange Services:POST /fabric/v4/exchangeServices/search(operationsearchExchangeService).The API provides capability to get list of user's Internet Exchange Service using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchin interfaceExchangeServices- Parameters:
filter- the filter (nullfor none)- Returns:
- a lazily paged list of
ExchangeServiceResponse
-
search
Description copied from interface:ExchangeServicesSearch Internet Exchange Services:POST /fabric/v4/exchangeServices/search(operationsearchExchangeService).The API provides capability to get list of user's Internet Exchange Service using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchin interfaceExchangeServices- Returns:
- a lazily paged list of
ExchangeServiceResponse
-
performAction
public ExchangeServiceActionResponse performAction(String exchangeServiceId, ExchangeServiceActionRequest request) Description copied from interface:ExchangeServicesCreate Internet Exchange Service Action:POST /fabric/v4/exchangeServices/{exchangeServiceId}/actions(operationcreateExchangeServiceAction).This API provides capability to perform actions on Internet Exchange Service
- Specified by:
performActionin interfaceExchangeServices- Parameters:
exchangeServiceId- theexchangeServiceIdpath parameterrequest- theExchangeServiceActionRequestrequest body- Returns:
- the
ExchangeServiceActionResponsethe API returns
-